clear all
set more off

global working_dir "C:/Users/Samuele/Dropbox (Brown)/MigrationSelfEmployment/for_publication"

cap: mkdir "$working_dir/output/causal"
cap: mkdir "$working_dir/temp"

program main_master
    /* Create data for all randomized experiments
    do "$working_dir/code/causal/yop.do"
    do "$working_dir/code/causal/wings.do"
    do "$working_dir/code/causal/slms.do"
    do "$working_dir/code/causal/siyb.do"
    do "$working_dir/code/causal/ghana.do"
    do "$working_dir/code/causal/youwin.do"
    */
    
    * Append experiments
    *do "$working_dir/code/causal/preclean_reduced_form.do"

    *** Reduced form tables ***
    do "$working_dir/code/causal/build_reduced_form_tables.do"

    
    * Create meta analysis master data
    do "$working_dir/code/causal/preclean_meta_analysis.do"

    *** Meta regression analysis *** 
    do "$working_dir/code/causal/build_meta_regression_tables.do"
    do "$working_dir/code/causal/build_meta_analysis_figures.do"
end

* Execute
main_master
