clear all
set more off

global working_dir "C:/Users/Samuele/Dropbox (Brown)/MigrationSelfEmployment/for_publication"

cap: mkdir "$working_dir/output/descriptive"
cap: mkdir "$working_dir/output/descriptive/master"
cap: mkdir "$working_dir/temp"

program main_master
    /* Create data for all countries
    do "$working_dir/code/descriptive/CFPS.do" // China
    do "$working_dir/code/descriptive/ELMPS.do" // Egypt
    do "$working_dir/code/descriptive/IFLS.do" // Indonesia
    do "$working_dir/code/descriptive/IHDS.do" // India
    do "$working_dir/code/descriptive/KHDS.do" // Tanzania
    do "$working_dir/code/descriptive/LSMS-ISA.do" // Nigeria
    do "$working_dir/code/descriptive/MXFLS.do" // Mexico
    do "$working_dir/code/descriptive/PSID.do" // USA
    */
    
    * Append follow-ups
    *do "$working_dir/code/descriptive/preclean.do"

    * Build paper figures
    do "$working_dir/code/descriptive/build_figures.do"

    * Build paper tables
    do "$working_dir/code/descriptive/build_tables.do"
end

* Execute
main_master
