cap: program drop signifstars

program signifstars, rclass
    syntax, mat_name(str)

    local rows = rowsof(`mat_name')
    local cols = colsof(`mat_name')

    cap: mat drop stars
    matrix stars = J(`rows',`cols',0)

    forvalues c = 1/`cols' {
        forvalues r = 1/`rows' {

            if mod(`r',2) == 1 & `mat_name'[`r',`c']!=. {
                local cr = `r'
                local ser = `r'+1

                local p = (2 * ttail(`mat_name'_df[`cr',`c'], abs(`mat_name'[`cr',`c']/`mat_name'[`ser',`c'])))

                if (`p' < .1)   mat stars[`r',`c'] = 1 // less than 10%?
                if (`p' < .05)  mat stars[`r',`c'] = 2 // less than 5%?
                if (`p' < .01)  mat stars[`r',`c'] = 3 // less than 1%?

            }
        }
    }
    return mat stars = stars 
end
